classdef exampleClass < ModelAbstract
    %EXAMPLECLASS  This class is for illustration purpose
    %   This class use the project API to provide the forecast function for a custom model.
    %   This proxy class allows users to use any kind of model with the provided tools based on the proxy definition.
    
    properties
        interModel
    end
    
    methods
        function obj = exampleClass(sys)
            %EXAMPLECLASS basic constructor that encapsulate the idss model.
            obj.interModel = sys;
        end
        
        function [prediction] = forecast(obj, past_data, futur_data)
            %forecast perform the forecast for the given model.
            K = size(futur_data, 1);
            [prediction, X0, ic] = forecast(obj.interModel,past_data,K,futur_data);
        end
    end
end

