[data_train, data_test] = load_dataset();


na=[2 0 ; 0 2];
nb= [[1 1 1 1 1 1 1 1 1 1 1 1]; [1 1 1 1 1 1 1 1 1 1 1 1]];
nk= [[1 1 1 1 1 1 1 1 1 1 1 1]; [1 1 1 1 1 1 1 1 1 1 1 1]];

sys = arx(getexp(data_train, "Exp1"),  "na", na, "nb", nb, "nk", nk);


% Generate prediction
[real_data, pred_data]  = predict_horizon_poly(sys, getexp(data_train, "Exp1"), 8*6);

tiledlayout(2,1);
nexttile
plot([real_data(1:500,1) pred_data(1:500,1)]);

nexttile
plot([real_data(1:500,2) pred_data(1:500,2)]);



% Get accuracy curve
acc_vec = eval_horizon_poly(sys, data_test, 20);

hold on;
plot(acc_vec);
xlabel('prediction horizon [step]');
ylabel('RMSE');
hold off;

% Get benchmark score
score_list = score_poly(sys, data_test, 48, 22);



