[data_train, data_test] = load_dataset();


nx=2;
sys = ssest(getexp(data_train, "Exp1"), nx);


% Instanciate custom class
custom_sys = exampleClass(sys);



% Generate prediction
[real_data, pred_data]  = predict_horizon(custom_sys, getexp(data_train, "Exp1"), 8*6, 20);

tiledlayout(2,1);
nexttile
plot([real_data(1:500,1) pred_data(1:500,1)]);

nexttile
plot([real_data(1:500,2) pred_data(1:500,2)]);



% Get accuracy curve
acc_vec = eval_horizon(custom_sys, data_test, 48, 22);

hold on;
plot(acc_vec);
xlabel('prediction horizon [step]');
ylabel('RMSE');
hold off;

% Get benchmark score
score_list = score(sys, data_test, 48, 22);



