function [score_list] = score(sys, data, start_size)
    % SCORE  Compute the benchmark score
    %  
    % This function compute the introduced criterions from the associeted paper according to the input dataset (iddata).
    % This function works with the ModelClass object

    acc_vec = eval_horizon_ss(sys, data, 48, start_size);
    score_list = [ mean(acc_vec), mean(acc_vec(1:12)), mean(acc_vec(end-12:end))];
end