function [G_train, test_data] = load_dataset()
    % LOAD_DATASET Function to load the benchmark core data.
    %  
    %  [G_train, test_data]  = LOAD_DATASET()
    %       This function load from the project dir the training dataset and testing dataset. 
    %        
    package_path = fullfile(".", "processed_data");
    
    test_data = load_data(fullfile(package_path,"test"));
    G_train   = load_data(fullfile(package_path,"train"));
end    
